# all files / src/audits/security/ is-on-https.js

100% Statements 4/4
100% Branches 0/0
100% Functions 2/2
100% Lines 4/4

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46

    1×

    16×

    4×

    1×
     /**
     * @license
     * Copyright 2016 Google Inc. All rights reserved.
     *
     * Licensed under the Apache License, Version 2.0 (the "License");
     * you may not use this file except in compliance with the License.
     * You may obtain a copy of the License at
     *
     *     http://www.apache.org/licenses/LICENSE-2.0
     *
     * Unless required by applicable law or agreed to in writing, software
     * distributed under the License is distributed on an "AS IS" BASIS,
     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     * See the License for the specific language governing permissions and
     * limitations under the License.
     */
    'use strict';

    const Audit = require('../audit');

    class HTTPS extends Audit {
      /**
       * @override
       */
      static get meta() {
        return {
          category: 'Security',
          name: 'is-on-https',
          description: 'Site is on HTTPS',
          requiredArtifacts: ['https']
        };
      }

      /**
       * @param {!Artifacts} artifacts
       * @return {!AuditResult}
       */
      static audit(artifacts) {
        return HTTPS.generateAuditResult({
          value: !!artifacts.https
        });
      }
    }

    module.exports = HTTPS;